/*ardoraPaquete.js, created by ARDORA www.webardora.net

Copyright (C) <2011>  <José Manuel Bouzán M.>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

var indice, indiceMul, taboaContidos, maxIndice, menuLateral, menuActividades, anchoContidoIni,horaInicio, taboaIntentos;
function inicia(){
   var data=new Date();
   if (data.getMinutes()<10){horaInicio=data.getHours() +":0"+data.getMinutes()+" h";}
   else{horaInicio=data.getHours() +":"+data.getMinutes()+" h";}
   taboaIntentos=new Array();
   menuLateral='';
   menuActividades='<h2>Outros Xogos</h2><h4><a href="javascript:irA(0)" title="O Balonm&#225;n">1</a><a href="javascript:irA(1)" title="O Acrosport">2</a><a href="javascript:irA(2)" title="Os Nutrientes 1&#170; Parte">3</a><a href="javascript:irA(3)" title="Os Nutrientes 2&#170; Parte">4</a><a href="javascript:irA(4)" title="Tarefas e calor&#237;as queimadas">5</a></tr><tr><a href="javascript:irA(5)" title="As superficies dos deportes">6</a><a href="javascript:irA(6)" title="Sopa de letras - Os deportes">7</a><a href="javascript:irA(7)" title="Encrucillado deportivo">8</a><a href="javascript:irA(8)" title="Capacidades F&#237;sicas B&#225;sicas">9</a><a href="javascript:irA(9)" title="En que d&#233;cada se fundou o ...?">10</a></tr><tr><a href="javascript:irA(10)" title="Logros espa&#241;ois nas Olimp&#237;adas">11</a><a href="javascript:irA(11)" title="Imaxes do deporte">12</a><a href="javascript:irA(12)" title="Os nosos &#243;sos">13</a><a href="javascript:irA(13)" title="Os nosos m&#250;sculos">14</a><a href="javascript:irA(14)" title="Quebracabezas-Nen@s en Yakarta">15</a></tr><tr><a href="javascript:irA(15)" title="Aforcado deportistas espa&#241;ois">16</a><a href="javascript:irA(16)" title="Parellas - Deportes de inverno">17</a><a href="javascript:irA(17)" title="Sons do deporte">18</a></h4>';
   if (window.opener == null){
      indice=0;
      }else{
      if (window.opener.indice == null){
         indice=0;
      }else{
         indice=window.opener.indice;
      }
   }
   maxIndice=17;
	taboaContidos=new Array();
taboaContidos[0]=new act("O Balonm&#225;n","O Balonm\u00E1n","<b><u>As nosas normas para o Balonm&#225;n<br><br><br><br><br></u></b>Enche os ocos coas palabras axeitadas da marxe inferior.",'<APPLET code="ArdoraCompleta0.class" archive = "Completar_Arrastrando_Balonm_n.jar"  width=730 height=330 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[1]=new act("O Acrosport","O Acrosport","<b><u>As normas do Acrosport. <br><br></b><br></u>Completa o ocos con algunha das palabras propostas para co&#241;ecer as normas do Acrosport.",'<APPLET code="ArdoraCompleta.class" archive = "Completar_Seleccionando_Acrosport.jar"  width=730 height=330 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[2]=new act("Os Nutrientes 1&#170; Parte","Os Nutrientes 1\u00AA Parte","<b><u>Co&#241;ecendo os nutrientes 1&#170; Parte<br><br><br></u></b>Arrastras as palabras ata o seu oco correspondente, logo dalle ao s&#237;mbolo de interrogaci&#243;n para saber se o cubriches axeitadamente.",'<APPLET code="ArdoraCompleta0.class" archive = "Completar_Arrastrando_Nutrientes_1.jar"  width=730 height=330 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[3]=new act("Os Nutrientes 2&#170; Parte","Os Nutrientes 2\u00AA Parte","<b><u>Os Nutrientes 2<br><br><br></u></b>Escribe nos ocos a palabra correspondente,observa a pista para cada palaba. <i>(L&#233;mbrate de po&#241;er mai&#250;sculas onde corresponda)",'<APPLET code="ArdoraCompleta2.class" archive = "Completar_Escribindo_Nutrientes_2.jar"  width=600 height=400 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[4]=new act("Tarefas e calor&#237;as queimadas","Tarefas e calor\u00EDas queimadas","<b><u>&#191;Cantas calor&#237;as queimamos en cada actividade realizada por hora?<br></u></b>Completa a t&#225;boa cos datos axeitados e logo preme no interrogante para saber se acertaches.",'<APPLET code="ArdoraTablas.class" archive = "T_boa_de_actividades_e_calor_as.jar"  width=730 height=450 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[5]=new act("As superficies dos deportes","As superficies dos deportes","<b>Relaciona os deportes coas s&#250;as superficies de xogo.",'<APPLET code="ArdoraRelaciona.class" archive = "relaciona_deportes_superficies.jar"  width=720 height=400 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[6]=new act("Sopa de letras - Os deportes","Sopa de letras - Os deportes","<b>Atopa os deportes onde se poden empregar os seguintes obxectos.",'<APPLET code="ArdoraSopa.class" archive = "sopa_deportes_obxectos.jar"  width=700 height=420 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[7]=new act("Encrucillado deportivo","Encrucillado deportivo","<b>Completa este encrucillado relacionado coa Educaci&#243;n F&#237;sica",'<APPLET code="ArdoraEncrucillados.class" archive = "Encrucillado_deportivo.jar"  width=720 height=400 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[8]=new act("Capacidades F&#237;sicas B&#225;sicas","Capacidades F\u00EDsicas B\u00E1sicas","<b>Completa o esquema sobre as Capacidades F&#237;sicas B&#225;sicas (C.F.B.), lembrando primeiro, cales son as 4  CFB e logo, busca 2 actividades f&#237;sicas nas cales as traballamos.",'<APPLET code="ArdoraEsquemas.class" archive = "Esquema_cfb.jar"  width=730 height=380 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[9]=new act("En que d&#233;cada se fundou o ...?","En que d\u00E9cada se fundou o ...?","<b>Primeiro pon nesta gr&#225;fica a d&#233;cada na que se fundou cada deporte, unha vez completado preme no s&#237;mbolo de interrogaci&#243;n para saber que o realizaches correctamente.",'<APPLET code="ArdoraEsta1.class" archive = "Graficas_anos_deportes2.jar"  width=730 height=480 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[10]=new act("Logros espa&#241;ois nas Olimp&#237;adas","Logros espa\u00F1ois nas Olimp\u00EDadas","<b>Une @s deportistas cos Xogos Ol&#237;mpicos  onde acadaron a medalla de ouro e coas respectivas modalidades deportivas individuais onde a acadaron.",'<APPLET code="ArdoraVariosV.class" archive = "unir_varios_varios_xogos_olimipicos_espa_ois.jar"  width=800 height=350 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[11]=new act("Imaxes do deporte","Imaxes do deporte","<b><u>Co&#241;ecemos os seguintes deportes?<br><br><br></u></b>Une as deportes coas s&#250;as imaxes e logo preme no s&#237;mbolo de interrogaci&#243;n para saber se acertaches.",'<APPLET code="ArdoraAlbum.class" archive = "Imaxe_deportes.jar"  width=712 height=320 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[12]=new act("Os nosos &#243;sos","Os nosos \u00F3sos","<b><u>O noso esqueleto<br><br><br><br><br>Un</u></b>e os nome dos &#243;sos coa s&#250;a zona corporal.",'<APPLET code="ArdoraPanel.class" archive = "Imaxes_esqueleto.jar"  width=900 height=585 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[13]=new act("Os nosos m&#250;sculos","Os nosos m\u00FAsculos","<b><u>Sabemos os m&#250;sculos?<br><br></u></b><br>Fai clic na zona corporal que che indique  e pon moita atenci&#243;n en que corpo debes clicar, no de frente (&#225; dereita) ou no de espaldas (&#225; esquerda).",'<APPLET code="ArdoraPaInter.class" archive = "Imaxes_musculos.jar"  width=421 height=519 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[14]=new act("Quebracabezas-Nen@s en Yakarta","Quebracabezas-Nen@s en Yakarta","<b><u>Nen@s xogando ao futbol en Yakarta, Indonesia.<br><br></u></b><br>Primeiro observa a imaxe e logo trata de resolver o puzle.",'<APPLET code="ArdoraPuzzle.class" archive = "Imaxes_puzzle_yakarta.jar"  width=800 height=400 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[15]=new act("Aforcado deportistas espa&#241;ois","Aforcado deportistas espa\u00F1ois","<b><u>Deportistas Espa&#241;ois <br><br></u></b><br>Adivi&#241;a quenes son @s deportistas espa&#241;ois que aparecen nas imaxes.",'<APPLET code="ArdoraAforcado.class" archive = "Aforcado_deportistas.jar"  width=945 height=330 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[16]=new act("Parellas - Deportes de inverno","Parellas - Deportes de inverno","<b><u>Deportes de inverno<br></u></b>Neste xogo de memoria, ter&#225;s que atopar parellas con imaxes de deportes de inverno ata rematar con todas.",'<APPLET code="ArdoraXogoMemoria.class" archive = "Memoria_deportes_de_inverno.jar"  width=685 height=465 MAYSCRIPT></APPLET>',true,"",true,true,true);
taboaContidos[17]=new act("Sons do deporte","Sons do deporte","<b><u>Sons deportivos<br><br><br><br><br></u></b>Clica no s&#237;mbolo de interrogaci&#243;n e logo de escoitar o son, toca no seu deporte correspondente.",'<APPLET code="ArdoraSons01.class" archive = "Sons_dos_deportes.jar"  width=720 height=330 MAYSCRIPT></APPLET>',true,"",true,true,true);
document.getElementById("botonAdiante").href="javascript:avanza()";
document.getElementById("botonAtras").href="javascript:retrocede()";
document.getElementById("botonAxuda").target="_blank";
anchoContidoIni=document.getElementById("areaContido").style.width;
   actualiza();
}
function actualiza(){
   document.getElementById("tituloAct").innerHTML=taboaContidos[indice].descricion;
   document.getElementById("enunciadoAct").innerHTML=taboaContidos[indice].enunciado;
   document.getElementById("contidoAct").innerHTML=taboaContidos[indice].areaContido;
   document.getElementById("botonAdiante").style.visibility="hidden";
   document.getElementById("botonAtras").style.visibility="hidden";
   document.getElementById("botonAxuda").style.visibility="hidden";
   if (eval(document.getElementById("menu")) != null){document.getElementById("menu").style.visibility="hidden";}
   if (taboaContidos[indice].seg_ant){
      if (indice>0){
         document.getElementById("botonAtras").title=taboaContidos[indice-1].descricionUTF8;
         document.getElementById("botonAtras").style.visibility="visible";
      }
      if (indice<maxIndice){
         document.getElementById("botonAdiante").title=taboaContidos[indice+1].descricionUTF8;
         document.getElementById("botonAdiante").style.visibility="visible";
      }
   }
   if (taboaContidos[indice].mp){
      document.getElementById("menuPrincipal").style.visibility="visible";
   }
   else{
      document.getElementById("menuPrincipal").style.visibility="hidden";
   }
   if (taboaContidos[indice].bAxuda.length>0){
      document.getElementById("botonAxuda").href=taboaContidos[indice].bAxuda;
      document.getElementById("botonAxuda").style.visibility="visible";
   }
   if ((taboaContidos[indice].ml) || (taboaContidos[indice].ma)){
	   contido="";
	   document.getElementById("menu").style.height="auto";
      document.getElementById("areaContido").style.width=anchoContidoIni;
	   if (taboaContidos[indice].ml){ contido=menuLateral;}
	   if (taboaContidos[indice].ma){ contido=contido+menuActividades;}
	   document.getElementById("menu").innerHTML=contido;
	   document.getElementById("menu").style.visibility="visible";
   }
   else{
        if (eval(document.getElementById("menu")) != null){document.getElementById("menu").style.height="0px";}
        document.getElementById("areaContido").style.width="100%";
   }
}
function avanza(){
   if (indice<maxIndice){
      indice++; actualiza();
   };
}
function irA(num){
      indice=num; actualiza();
}
function recarga(){
      irA(indice);
}
function retrocede(){indice--; actualiza();}
function act( descricion, descricionUTF8, enunciado, areaContido,ma, bAxuda, seg_ant, mp, ml ) {
   this.descricion=descricion;
   this.descricionUTF8=descricionUTF8;
   this.enunciado=enunciado;
   this.areaContido=areaContido;
   this.mp=mp;
   this.ml=ml;
   this.ma=ma;
   this.seg_ant=seg_ant;
   this.bAxuda=bAxuda;
   }
function iniciaActividade(){
   var data=new Date();
   if (data.getMinutes()<10){var hI=data.getHours() +":0"+data.getMinutes();}
   else{var hI=data.getHours() +":"+data.getMinutes();}
   var x=taboaIntentos.length;
   taboaIntentos[x]=new infoAct(indice,hI,0,"exec","xx:xx",0);
}
function iniciaActividadeMul(){
   indiceMul=indice;
   var data=new Date();
   if (data.getMinutes()<10){var hI=data.getHours() +":0"+data.getMinutes();}
   else{var hI=data.getHours() +":"+data.getMinutes();}
   var x=taboaIntentos.length;
   taboaIntentos[x]=new infoAct(indice,hI,0,"exec","xx:xx",0);
}
function infoAct( ind, hinicio, intentos, estado, hfin, puntos){
	this.ind=ind;
	this.hinicio=hinicio;
	this.intentos=intentos;
	this.estado=estado;
	this.hfin=hfin;
	this.puntos=puntos;
}
function actualizaInfoAct(puntos,intentos,estado){
	var data=new Date();
   if (data.getMinutes()<10){var hF=data.getHours() +":0"+data.getMinutes();}
   else{var hF=data.getHours() +":"+data.getMinutes();}
	var x=taboaIntentos.length-1;
	var hI=taboaIntentos[x].hinicio;
	taboaIntentos[x]=new infoAct(indice,hI,intentos,estado,hF,puntos);
}
function actualizaInfoActMul(){
	var data=new Date();
   if (data.getMinutes()<10){var hF=data.getHours() +":0"+data.getMinutes();}
   else{var hF=data.getHours() +":"+data.getMinutes();}
	var x=taboaIntentos.length-1;
	var hI=taboaIntentos[x].hinicio;
	taboaIntentos[x]=new infoAct(indiceMul,hI,0,"--",hF,0);
}
function PechaVentana(){window.close()}
function AbreCentrada(theURL,winName,features, myWidth, myHeight, isCenter,aNume) {
	if(window.screen)if(isCenter)if(isCenter=="true"){
      var myLeft = (screen.width-myWidth)/2;
      var myTop = (screen.height-myHeight)/2;
      features+=(features!='')?',':'';
      features+=',left='+myLeft+',top='+myTop;
    }
    window.open(theURL,winName,features+((features!='')?',':'')+'width='+myWidth+',height='+myHeight);
    indice=aNume;
}
function mostrar(capa){
var obj = document.getElementById(capa)
if(obj.style.display == "block"){
   obj.style.display = "none"
   document.getElementById("contenido").style.width="95%";
}else{
   obj.style.display = "block";
   document.getElementById("contenido").style.width="75%";
}}
function MM_preloadImages() {
   var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
   var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
   if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() {var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;}
function MM_findObj(n, d) { //v4.01
   var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
   d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
   if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
   for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
      if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_swapImage() { //v3.0
   var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
